mbmc.net
当前位置:首页 >> CAD展点程序lisp >>

CAD展点程序lisp

(DEFUN C:TT ( / ss ff ss1 en pt x y) (setvar "cmdecho" 0) (setvar "blipmode" 0) (setvar "dimzin" 0) (vl-load-com);;加载vlax扩展函数 (setq ss (ssget '((0 . "point"))) n 0);;请选择点 (if (/= ss nil) (progn (setq ff (open "d://文...

1,用 AP 命令调入Autolisp. 2,在cad命令行运行所调入的lisp命令

在AutoCAD的安装文件夹下,有一个acadxxxx.lsp文件,此文件名中的xxxx代表一个年的版本数,例如在C:\Program Files\Autodesk\ACADM 2010\Support下,有个acad2010.lsp文件。在它的最后加上你的后两个函数句子,保存之(见以下第一个截图)。这样...

“工具”菜单→“加载应用程序”,在弹出的窗口中选择你需要加载的程序,这是加载过程。 如果你不知道这个程序怎么使用,则使用记事本打开你已经加载的那个程序原始文件,然后逐句看里面的命令内容,看图: 命令的开始有一段语句“defun c:gg”,语句中...

好像是病毒!先把cad的设置改下,工具---选项---系统---把每个图形都加载acad.lsp前面的勾去掉 然后再杀毒 下载个“CAD病毒专杀”工具,就可以解决这个问题

(defun C:arb () (setvar "cmdecho" 0) (setvar "gridmode" 0) (setvar "lwdisplay" 1) (setvar "orthomode" 0) (command "dimscale" 1) (setq f_line (tblsearch "layer" "inside")) (if (= f_line nil) (command "layer" "n" "inside" "c" 90 ...

(defun c:autodimlines () (setq ss (ssget '((0 . "line")))) (setq number (sslength ss)) (setq i 0) (repeat number (setq entname (ssname ss i)) (setq ent (entget entname)) (setq point_a (cdr (assoc 10 ent))) (setq point_b (cdr (a...

(defun c:bz(/ a ax ay b c d e f j g) (setvar "CMDECHO" 0) (setvar "snapmode" 0) (setvar "blipmode" 0) (initget 1) (setq a (getpoint "\n给定标注点:")) (initget 1) (setq d (getangle "\n标注倾斜角度:")) (setq ax (car a) ay (cadr...

这些工具手动加载后就可以执行,但每次用的时候都要加载挺麻烦的,能不能在启动软件的时候把自己常用的插件加载进来?当然可以,而且方法还不止一种。 方法1:添加到启动组 CAD的工具插件都可以通过appload(ap)命令来加载,在弹出的加载卸载应用...

块名前面加星号即可!如你的命令改为如下: (command "insert" "*GG" pause 1 1 pause) 快试试看吧!

网站首页 | 网站地图
All rights reserved Powered by www.mbmc.net
copyright ©right 2010-2021。
内容来自网络,如有侵犯请联系客服。zhit325@qq.com